cURL
curl --request GET \
--url https://api.e2b.app/events/webhooks/{webhookID}/deliveries \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/events/webhooks/{webhookID}/deliveries"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/events/webhooks/{webhookID}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "<string>",
"sandboxId": "<string>",
"attempts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandboxId": "<string>",
"eventType": "<string>",
"status": "success",
"durationMs": 123,
"requestBody": "<string>",
"requestHeaders": "<string>",
"requestUrl": "<string>",
"errorClass": "http_error",
"timestamp": "2023-11-07T05:31:56Z",
"responseBody": "<string>",
"responseHeaders": "<string>",
"responseHttpStatusCode": 123,
"errorMessage": "<string>"
}
]
}
],
"nextCursor": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}webhooks
Get eventswebhooks deliveries
List webhook delivery attempts.
GET
/
events
/
webhooks
/
{webhookID}
/
deliveries
cURL
Authorizations
Path Parameters
Query Parameters
Opaque cursor from the previous response's nextCursor field.
Required range:
1 <= x <= 100Include deliveries at or after this timestamp.
Include deliveries before this timestamp.
Filter deliveries by delivery status
Available options:
success, failed Filter deliveries by event type
Was this page helpful?